<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_panel_show',null,'index.php?'.SID);
adm_check();

$set['title']='Действия';
include_once '../sys/inc/thead.php';
title();
if(isset($_GET['del'])){
mysql_query("DELETE FROM `mod_dei_sp` WHERE `id`='".intval($_GET['del'])."'");

msg('Удалено');

}
$set=intval($_GET['set']);
$set=mysql_fetch_array(mysql_query("SELECT * FROM `mod_dei_sp` WHERE `id` = $set LIMIT 1"));
$img = intval($_GET['img']);
$img = mysql_fetch_array(mysql_query("SELECT * FROM `mod_dei_sp` WHERE `id` = $img LIMIT 1"));
if(isset($_GET['ok'])){
if (isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png')$err='Это не картинка.';
}
$name=mysql_real_escape_string($_POST['name']);
$price=mysql_real_escape_string($_POST['price']);
if (strlen2($name)<3)$err='Слишком короткое название';
if (strlen2($name)>32)$err='Слишком днинное название';
$pol_m=mysql_real_escape_string($_POST['pol_m']);
$pol_w=mysql_real_escape_string($_POST['pol_w']);
if (strlen2($pol_m)<3)$err='Слишком короткое название для мужчин';
if (strlen2($pol_m)>32)$err='Слишком днинное название для мужчин';
if (strlen2($pol_w)<3)$err='Слишком короткое название для женщин';
if (strlen2($pol_w)>32)$err='Слишком днинное название для женщин';
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `deistviya` WHERE `name` = '$name'"),0)==1)$err='Такое действие уже есть';
if (!isset($err)){
if (isset($_FILES['file']))
{

$namef = $_FILES['file']['name'];

$namef = $namef;

$tmp = $_FILES['file']['tmp_name'];

mysql_query("INSERT INTO `mod_dei_sp` (`name`, `pol_m`, `pol_w`, `price`, `img`) values('$name', '$pol_m', '$pol_w', '$price', '$namef')");
$id_reg=mysql_insert_id();

move_uploaded_file($tmp, 'img/'.$id_reg.'_'.$namef.'');

}
else
{
mysql_query("INSERT INTO `mod_dei_sp` (`name`, `pol_m`, `pol_w`, `price`) values('$name', '$pol_m', '$pol_w', '$price')");
}

msg('Yспешно');
}
}
if(isset($_GET['set_ok']))
{
$name_r=mysql_real_escape_string($_POST['name_r']);
$price_r=mysql_real_escape_string($_POST['price_r']);
if (strlen2($name_r)<3)$err='Слишком короткое название';
if (strlen2($name_r)>32)$err='Слишком днинное название';
$pol_m_r=mysql_real_escape_string($_POST['pol_m_r']);
$pol_w_r=mysql_real_escape_string($_POST['pol_w_r']);
if (strlen2($pol_m_r)<3)$err='Слишком короткое название для мужчин';
if (strlen2($pol_m_r)>32)$err='Слишком днинное название для мужчин';
if (strlen2($pol_w_r)<3)$err='Слишком короткое название для женщин';
if (strlen2($pol_w_r)>32)$err='Слишком днинное название для женщин';
if(!isset($err))
{
mysql_query("UPDATE `mod_dei_sp` SET `name` = '$name_r', `pol_m` = '$pol_m_r', `pol_w` = '$pol_w_r', `price` = '$price_r' WHERE `id` = '$set[id]' LIMIT 1");

header("Location: /dei/set.php");
}
}
if(isset($_GET['img_ok']))
{
$type_r = $_FILES['file_r']['type'];
if ($type_r!=='image/jpeg' && $type_r!=='image/jpg' && $type_r!=='image/gif' && $type_r!=='image/png')$err='Это не картинка.';
$namef_r = $_FILES['file_r']['name'];
$namef_r = $namef_r;
$tmp_r = $_FILES['file_r']['tmp_name'];

if(!isset($err))
{
mysql_query("UPDATE `mod_dei_sp` SET `img` = '$namef_r' WHERE `id` = '$img[id]' LIMIT 1");

@unlink(H."dei/img/$set[id]_$img[img]");
move_uploaded_file($tmp_r, 'img/'.$img[id].'_'.$namef_r.'');
header("Location: /dei/set.php");
}
}
err();

$q=mysql_query("SELECT * FROM `mod_dei_sp` ORDER BY `id` ASC");
echo "<table class='post'>";
if (mysql_num_rows($q)==0) {
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет действий\n";
echo "  </td>\n";
echo "   </tr>\n";
}
while ($qq = mysql_fetch_assoc($q))
{
echo "<tr><td class='p_m'>";
echo "<img src='/dei/img/$qq[id]_$qq[img]'><br/><a href='?img=$qq[id]'>[изм]</a>";
echo "</td>";
echo "<td class='p_t'>";
echo "$qq[name],$qq[pol_m],$qq[pol_w] <a href='?set=$qq[id]' style='color:green'>[изм]</a> <a href='?del=$qq[id]' style='color:red'>[yдалить]</a>";
if(isset($_GET['set']) && $qq['id']==$set['id'])
{
echo "<form method=\"post\" action=\"?set=$set[id]&set_ok\" enctype='multipart/form-data'>\n";
echo "Название действия:<br /><input name=\"name_r\" type=\"text\" maxlength='32' value='$set[name]' /><br />\n";
echo "Название(для мужчин):<br /><input name=\"pol_m_r\" type=\"text\" maxlength='100' value='$set[pol_m]' /><br />\n";
echo "Название(для женщин):<br /><input name=\"pol_w_r\" type=\"text\" maxlength='100' value='$set[pol_w]' /><br />\n";
echo "Цена действия:<br /><input name=\"price_r\" type=\"text\" maxlength='32' value='$set[price]' /><br />\n";
echo "<input value=\"Сохранить\" type=\"submit\" /><br />\n";
echo "</form>\n";
}
elseif(isset($_GET['img']) && $qq['id']==$img['id'])
{
echo "<form method=\"post\" action=\"?img=$img[id]&img_ok\" enctype='multipart/form-data'>\n";
echo 'Прикрепить картинку:<br/><input type="file" name="file_r"/><br/>';

echo "<input value=\"Сохранить\" type=\"submit\" /><br />\n";
echo "</form>\n";
}
echo "</td></tr>";


}
echo "</table>";
echo "<form method=\"post\" action=\"?ok\" enctype='multipart/form-data'>\n";
echo "Название действия:<br /><input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Название(для мужчин):<br /><input name=\"pol_m\" type=\"text\" maxlength='100' value='' /><br />\n";
echo "Название(для женщин):<br /><input name=\"pol_w\" type=\"text\" maxlength='100' value='' /><br />\n";
echo "Цена действия:<br /><input name=\"price\" type=\"text\" maxlength='32' value='' /><br />\n";
echo 'Прикрепить картинку:<br/><input type="file" name="file"/><br/>';


echo "<input value=\"Добавить\" type=\"submit\" /><br />\n";
echo "</form>\n";
if (user_access('adm_panel_show'))
echo "&laquo;<a href='/adm_panel/'>В админку</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';

?>